Billing
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
PATCH | |
GET | |
GET | |
GET | |
GET | |
POST | |
POST | |
POST | |
POST | |
GET |
Update billing license
Request parameters
- planstring
- billing_limitinteger
Example request
PATCH /api /billing /licenseExample response
Status 200 No response body
Update billing license
Request parameters
- planstring
- billing_limitinteger
Example request
PATCH /api /billing /licenseExample response
Status 200 No response body
Retrieve billing period
Required API key scopes
llm_gateway:readResponse
Example request
GET /api /billing /periodExample response
Status 200
RESPONSE
Retrieve billing period
Required API key scopes
llm_gateway:readResponse
Example request
GET /api /billing /periodExample response
Status 200
RESPONSE
Retrieve billing portal
Example request
GET /api /billing /portalExample response
Status 200 No response body
Retrieve billing portal
Example request
GET /api /billing /portalExample response
Status 200 No response body
Retrieve billing spend
Endpoint to fetch spend data (proxy to billing service).
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Response
Example request
GET /api /billing /spendExample response
Status 200
RESPONSE
Retrieve billing spend
Endpoint to fetch spend data (proxy to billing service).
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Response
Example request
GET /api /billing /spendExample response
Status 200
RESPONSE
Retrieve billing spend export
Download the spend breakdown as CSV, honouring the requested project cap.
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Example request
GET /api /billing /spend /exportExample response
Status 200 No response body
Retrieve billing spend export
Download the spend breakdown as CSV, honouring the requested project cap.
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Example request
GET /api /billing /spend /exportExample response
Status 200 No response body
Create billing startups apply
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /startups /applyExample response
Status 200 No response body
Create billing startups apply
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /startups /applyExample response
Status 200 No response body
Create billing subscription switch plan
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /subscription /switch-planExample response
Status 200 No response body
Create billing subscription switch plan
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /subscription /switch-planExample response
Status 200 No response body
Create billing trials activate
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /trials /activateExample response
Status 200 No response body
Create billing trials activate
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /trials /activateExample response
Status 200 No response body
Create billing trials cancel
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /trials /cancelExample response
Status 200 No response body
Create billing trials cancel
Request parameters
- planstring
- billing_limitinteger
Example request
POST /api /billing /trials /cancelExample response
Status 200 No response body
Retrieve billing usage
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Response
Example request
GET /api /billing /usageExample response
Status 200
RESPONSE
Retrieve billing usage
Required API key scopes
billing:readQuery parameters
- afterstring | null
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- page_sizeinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Response
Example request
GET /api /billing /usageExample response
Status 200
RESPONSE











